Loading...
Searching...
No Matches
starpu_debug_helpers.h File Reference
`#include <starpu.h>`
`#include <starpu_config.h>`
`#include <starpu_util.h>`

Go to the source code of this file.

## Functions

void | _starpu_benchmark_ping_pong (starpu_data_handle_t handle, unsigned node0, unsigned node1, unsigned niter)
void | _starpu_debug_display_structures_size (FILE *stream)

## Function Documentation

## _starpu_benchmark_ping_pong()

void _starpu_benchmark_ping_pong | ( | starpu_data_handle_t | handle,
|  | unsigned | node0,
|  | unsigned | node1,
|  | unsigned | niter
| ) |  |

Perform a ping pong between the two memory nodes

## _starpu_debug_display_structures_size()

void _starpu_debug_display_structures_size | ( | FILE * | stream | ) |

Display the size of different data structures